Skip to main content
GET
List

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-10-28.everglades"

Query Parameters

offset
integer
default:0

The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.

Required range: x >= 0
Example:

0

limit
integer
default:10

The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.

Required range: 1 <= x <= 100
Example:

10

order_by
enum<string>[]

Sort order for the calibration results.

Available options:
id:asc,
id:desc,
created_at:asc,
created_at:desc,
reported_at:asc,
reported_at:desc
Example:
expand
enum<string>[]

Fields to expand on each calibration in the list.

Available options:
content,
total_count
Example:
device_id
string[]

The device IDs to filter by.

Example:
component_id
string[]

The component IDs to filter by.

Example:
role_id
string[]

The component role IDs to filter by.

Example:
aspect_id
string[]

The component aspect IDs to filter by.

Example:
serial_number
string[]

The unit serial numbers to filter by.

Example:
report_id
string[]

The report IDs to filter by.

Example:
operator_id
string[]

The operator IDs to filter by.

Example:

Response

200 - application/json

Successfully listed the calibrations.

object
enum<string>
required

The object type, which is always list.

Available options:
list
Example:

"list"

limit
integer
default:10
required

The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.

Required range: 1 <= x <= 100
offset
integer
default:0
required

The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.

Required range: x >= 0
has_more
boolean
required

True if there are more items in the list to return. False if there are no more items to return.

Example:

false

data
Calibration · object[]
required

The list of calibrations.

total_count
integer<int64>

The total number of items in the list. By default the total count is not returned. The total count must be expanded (using expand=total_count) to get the total number of items in the list.